# Manual do Usuário do &kde;

Lauri
Watts
Versão inicial da página de manual do &ark;.
Raphael
Kubo da Costa
Atualização da página de manual do &ark;.
23/08/2013
2.19 (&kde; 4.11)
KDE
ark
1

# `ark`

Ferramenta de arquivamento do &kde;

    ark -b -a -e -c -f  sufixo -p -t  arquivo -d -o  pasta Opções genéricas do &kde; Opções genéricas do &Qt;

## Descrição

O &ark; é um programa para gerenciamento de vários formatos de arquivos compactados no ambiente &kde;. Os arquivos compactados podem ser visualizados, extraídos, criados e modificados com o &ark;. O programa pode trabalhar com vários formatos, tais como: tar, gzip, bzip2, zip, rar (quando as bibliotecas ou programas em linha de comando apropriados estiverem instalados).

## Modos de operação

O &ark; pode ser usado como uma interface gráfica independente ou como um programa da linha de comando para realizar algumas tarefas específicas.

Se for carregado sem as opções -b (--batch) ou -c (--add), o &ark; é iniciado como um programa &GUI; normal.

Quando for usada a opção -b (--batch), o &ark; pode ser usado para extrair diretamente o conteúdo de um ou mais arquivos a partir da linha de comando, sem carregar a sua interface gráfica.

Quando a opção -c (--add) é usada, o &ark; solicita os arquivos que deverão ser adicionados a um novo arquivo compactado ou a um já existente.

## Opções

`-d, --dialog`

  Mostra uma janela para indicar as opções em uma operação em lote ou de adição.

`-o, --destination pasta`

  Usa a pasta para extração. Se não for indicada, é usada a pasta atual.

### Opções para adição de arquivos

`-c, --add`

  Solicita ao usuário um nome de arquivo e adiciona arquivos a ele e sai quando concluir.

`-t, --add-to nome_do_arquivo`

  Adiciona os arquivos indicados ao nome_do_arquivo. Cria o arquivo se ele não existir e sai quando concluir.

`-p, --changetofirstpath`

  Altera a pasta atual para o primeiro item e adiciona todos os outros itens em relação a esta.

`-f, --autofilename sufixo`

  Seleciona automaticamente um nome de arquivo, usando o sufixo selecionado (por exemplo rar, tar.gz, zip ou qualquer outro tipo suportado).

### Opções para extração em lote

`-b, --batch`

  Usa a interface em lote, em vez da janela normal. Esta opção está implícita se indicar mais de uma URL.

`-e, --autodestination`

  O argumento de destino será configurado com o local do primeiro arquivo indicado.

`-a, --autosubfolder`

  O conteúdo do arquivo será lido e, se for detectado que não é um arquivo compactado com apenas uma pasta, será criada uma subpasta com o nome do arquivo.

## Exemplos

``ark` `--batch` arquivo.tar.bz2`

  Irá extrair o arquivo.tar.bz2 na pasta atual sem exibir a interface do usuário.

``ark` `-b` `-d` arquivo.tar.bz2 arquivo2.zip`

  Mostrará primeiro uma janela de opções de extração e irá então extrair o arquivo.tar.bz2 e o arquivo2.zip para a pasta escolhida na janela.

``ark` `--add-to` meu-arquivo.zip foto1.jpg texto.txt`

  Criará o arquivo meu-arquivo.zip, se não existir, e irá adicionar depois o foto1.jpg e texto.txt a ele.

## Autores

O &ark; é atualmente mantido por &Harald.Hvaal; &Harald.Hvaal.mail; e &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.

Esta página de manual foi escrita primeiro por &Lauri.Watts; &Lauri.Watts.mail; em 2005 para o &kde; 3.4, sendo posteriormente atualizada em 2009 por &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.